// SEMAFORO A DUE VIE
//
// Gestione di un semaforo stradale a due vie
// Le segnalazioni sono nel senso N-S ed E-W
// dell'incrocio
//
// Vers. 1.00 * 14/06/2021
// Temporizzazione fissa
//

// Lato N-S
#define LED_ROSSO_NS  13
#define LED_GIALLO_NS 12
#define LED_VERDE_NS   4
// Lato E-W
#define LED_ROSSO_EW  10
#define LED_GIALLO_EW  9
#define LED_VERDE_EW   8
// Temporizzazioni
#define VERDE_NS    5000
#define GIALLO_NS   2000
#define VERDE_EW   10000
#define GIALLO_EW   4000


void setup()
{
  pinMode(LED_ROSSO_NS, OUTPUT);
  pinMode(LED_GIALLO_NS, OUTPUT);
  pinMode(LED_VERDE_NS, OUTPUT);
  pinMode(LED_ROSSO_EW, OUTPUT);
  pinMode(LED_GIALLO_EW, OUTPUT);
  pinMode(LED_GIALLO_EW, OUTPUT);
}

void loop()
{
  	// VERDE su N-S, ROSSO su E-W
	digitalWrite(LED_ROSSO_NS, LOW);
  	digitalWrite(LED_GIALLO_NS, LOW);
	digitalWrite(LED_VERDE_NS, HIGH);
  	//
    digitalWrite(LED_ROSSO_EW, HIGH);
    digitalWrite(LED_GIALLO_EW, LOW);
    digitalWrite(LED_VERDE_EW, LOW);
  	delay(VERDE_NS);
  	// GIALLO su N-S, ROSSO su E-W
	digitalWrite(LED_ROSSO_NS, LOW);
  	digitalWrite(LED_GIALLO_NS, HIGH);
	digitalWrite(LED_VERDE_NS, LOW);
  	//
    digitalWrite(LED_ROSSO_EW, HIGH);
    digitalWrite(LED_GIALLO_EW, LOW);
    digitalWrite(LED_VERDE_EW, LOW);
  	delay(GIALLO_NS);
    // VERDE su E-W, ROSSO su N-S
	digitalWrite(LED_ROSSO_NS, HIGH);
  	digitalWrite(LED_GIALLO_NS, LOW);
	digitalWrite(LED_VERDE_NS, LOW);
  	//
    digitalWrite(LED_ROSSO_EW, LOW);
    digitalWrite(LED_GIALLO_EW, LOW);
    digitalWrite(LED_VERDE_EW, HIGH);
  	delay(VERDE_EW);  
    // GIALLO su E-W, ROSSO su N-S
	digitalWrite(LED_ROSSO_NS, HIGH);
  	digitalWrite(LED_GIALLO_NS, LOW);
	digitalWrite(LED_VERDE_NS, LOW);
  	//
    digitalWrite(LED_ROSSO_EW, LOW);
    digitalWrite(LED_GIALLO_EW, HIGH);
    digitalWrite(LED_VERDE_EW, LOW);
  	delay(GIALLO_EW);  
}